'use strict';

var extractFiles = require('extract-files/public/extractFiles');

module.exports = function graphqlFetchOptions(operation) {
  var fetchOptions = {
    url: '/graphql',
    method: 'POST',
    headers: {
      Accept: 'application/json',
    },
  };

  var _extractFiles = extractFiles(operation),
    clone = _extractFiles.clone,
    files = _extractFiles.files;

  var operationJSON = JSON.stringify(clone);

  if (files.size) {
    var form = new FormData();
    form.append('operations', operationJSON);
    var map = {};
    var i = 0;
    files.forEach(function (paths) {
      map[++i] = paths;
    });
    form.append('map', JSON.stringify(map));
    i = 0;
    files.forEach(function (paths, file) {
      form.append('' + ++i, file, file.name);
    });
    fetchOptions.body = form;
  } else {
    fetchOptions.headers['Content-Type'] = 'application/json';
    fetchOptions.body = operationJSON;
  }

  return fetchOptions;
};
