'use strict';

module.exports = function reportCacheErrors(_ref) {
  var cacheKey = _ref.cacheKey,
    _ref$cacheValue = _ref.cacheValue,
    fetchError = _ref$cacheValue.fetchError,
    httpError = _ref$cacheValue.httpError,
    parseError = _ref$cacheValue.parseError,
    graphQLErrors = _ref$cacheValue.graphQLErrors;

  if (fetchError || httpError || parseError || graphQLErrors) {
    console.groupCollapsed(
      'GraphQL cache errors for key \u201C' + cacheKey + '\u201D:'
    );

    if (fetchError) {
      console.groupCollapsed('Fetch:');
      console.log(fetchError);
      console.groupEnd();
    }

    if (httpError) {
      console.groupCollapsed('HTTP:');
      console.log('Status: ' + httpError.status);
      console.log('Text: ' + httpError.statusText);
      console.groupEnd();
    }

    if (parseError) {
      console.groupCollapsed('Parse:');
      console.log(parseError);
      console.groupEnd();
    }

    if (graphQLErrors) {
      console.groupCollapsed('GraphQL:');
      graphQLErrors.forEach(function (_ref2) {
        var message = _ref2.message;
        return console.log(message);
      });
      console.groupEnd();
    }

    console.groupEnd();
  }
};
